{
  "nodes": [
    {
      "nodeId": "pluginInput",
      "name": "workflow:template.plugin_start",
      "intro": "workflow:intro_plugin_input",
      "avatar": "core/workflow/template/workflowStart",
      "flowNodeType": "pluginInput",
      "showStatus": false,
      "position": {
        "x": -2124.670503700416,
        "y": 175.32594802882716
      },
      "version": "481",
      "inputs": [
        {
          "renderTypeList": [
            "reference"
          ],
          "selectedTypeIndex": 0,
          "valueType": "object",
          "canEdit": true,
          "key": "state",
          "label": "state",
          "description": "",
          "defaultValue": "",
          "list": [
            {
              "label": "",
              "value": ""
            }
          ],
          "maxFiles": 5,
          "canSelectFile": true,
          "canSelectImg": true,
          "required": false
        },
        {
          "renderTypeList": [
            "reference"
          ],
          "selectedTypeIndex": 0,
          "valueType": "string",
          "canEdit": true,
          "key": "status_code",
          "label": "status_code",
          "description": "",
          "defaultValue": "",
          "list": [
            {
              "label": "",
              "value": ""
            }
          ],
          "maxFiles": 5,
          "canSelectFile": true,
          "canSelectImg": true,
          "required": false
        },
        {
          "renderTypeList": [
            "reference"
          ],
          "selectedTypeIndex": 0,
          "valueType": "string",
          "canEdit": true,
          "key": "user_question",
          "label": "user_question",
          "description": "",
          "defaultValue": "",
          "list": [
            {
              "label": "",
              "value": ""
            }
          ],
          "maxFiles": 5,
          "canSelectFile": true,
          "canSelectImg": true,
          "required": false
        }
      ],
      "outputs": [
        {
          "id": "state",
          "valueType": "object",
          "key": "state",
          "label": "state",
          "type": "hidden"
        },
        {
          "id": "status_code",
          "valueType": "string",
          "key": "status_code",
          "label": "status_code",
          "type": "hidden"
        },
        {
          "id": "user_question",
          "valueType": "string",
          "key": "user_question",
          "label": "user_question",
          "type": "hidden"
        }
      ]
    },
    {
      "nodeId": "pluginOutput",
      "name": "common:core.module.template.self_output",
      "intro": "workflow:intro_custom_plugin_output",
      "avatar": "core/workflow/template/pluginOutput",
      "flowNodeType": "pluginOutput",
      "showStatus": false,
      "position": {
        "x": 7309.289681358644,
        "y": -414.86573708136
      },
      "version": "481",
      "inputs": [
        {
          "renderTypeList": [
            "reference"
          ],
          "valueType": "object",
          "canEdit": true,
          "key": "state",
          "label": "state",
          "isToolOutput": true,
          "description": "",
          "required": true,
          "value": [
            "pluginInput",
            "state"
          ]
        },
        {
          "renderTypeList": [
            "reference"
          ],
          "valueType": "string",
          "canEdit": true,
          "key": "status_code",
          "label": "status_code",
          "isToolOutput": true,
          "description": "",
          "required": true,
          "value": [
            "pluginInput",
            "status_code"
          ]
        }
      ],
      "outputs": []
    },
    {
      "nodeId": "pluginConfig",
      "name": "common:core.module.template.system_config",
      "intro": "",
      "avatar": "core/workflow/template/systemConfig",
      "flowNodeType": "pluginConfig",
      "position": {
        "x": -2508.670503700416,
        "y": 210.82594802882716
      },
      "version": "4811",
      "inputs": [],
      "outputs": []
    },
    {
      "nodeId": "uX2IzK9fx9zo",
      "name": "Assigned Reply",
      "intro": "This module can directly reply with a specified content. Commonly used for guidance or prompts. Non-string content will be converted to string for output.",
      "avatar": "core/workflow/template/reply",
      "flowNodeType": "answerNode",
      "position": {
        "x": 2656.699488323434,
        "y": -590.2850128054174
      },
      "version": "481",
      "inputs": [
        {
          "key": "text",
          "renderTypeList": [
            "textarea",
            "reference"
          ],
          "valueType": "any",
          "required": true,
          "label": "Response Content",
          "description": "common:core.module.input.description.Response content",
          "placeholder": "common:core.module.input.description.Response content",
          "value": "由于事故有人受伤，正在转接人工处理\n\n\n\n",
          "valueDesc": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": []
    },
    {
      "nodeId": "fvvP1xj1OJkZ",
      "name": "Assigned Reply#2",
      "intro": "This module can directly reply with a specified content. Commonly used for guidance or prompts. Non-string content will be converted to string for output.",
      "avatar": "core/workflow/template/reply",
      "flowNodeType": "answerNode",
      "position": {
        "x": 2681.421643953214,
        "y": -225.02700466575172
      },
      "version": "481",
      "inputs": [
        {
          "key": "text",
          "renderTypeList": [
            "textarea",
            "reference"
          ],
          "valueType": "any",
          "required": true,
          "label": "Response Content",
          "description": "common:core.module.input.description.Response content",
          "placeholder": "common:core.module.input.description.Response content",
          "value": "正在转接人工处理\n\n",
          "valueDesc": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": []
    },
    {
      "nodeId": "cijcer2ddJRN",
      "name": "车牌号码更新",
      "intro": "Can update the output value of a specified node or update global variables",
      "avatar": "core/workflow/template/variableUpdate",
      "flowNodeType": "variableUpdate",
      "showStatus": false,
      "position": {
        "x": 3386.278237991628,
        "y": 605.5065799719679
      },
      "version": "481",
      "inputs": [
        {
          "key": "updateList",
          "valueType": "any",
          "label": "",
          "renderTypeList": [
            "hidden"
          ],
          "value": [
            {
              "variable": [
                "pluginInput",
                "state"
              ],
              "value": [
                "cvInl80Uutax",
                "qLUQfhG0ILRX"
              ],
              "valueType": "object",
              "renderType": "reference"
            }
          ],
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": []
    },
    {
      "nodeId": "y6u6eDqmYZB9",
      "name": "Assigned Reply#4",
      "intro": "This module can directly reply with a specified content. Commonly used for guidance or prompts. Non-string content will be converted to string for output.",
      "avatar": "core/workflow/template/reply",
      "flowNodeType": "answerNode",
      "position": {
        "x": 5980.857168663424,
        "y": 1739.127703847232
      },
      "version": "481",
      "inputs": [
        {
          "key": "text",
          "renderTypeList": [
            "textarea",
            "reference"
          ],
          "valueType": "any",
          "required": true,
          "label": "Response Content",
          "description": "common:core.module.input.description.Response content",
          "placeholder": "common:core.module.input.description.Response content",
          "value": "信息收集完毕，感谢您的配合。\n\n",
          "valueDesc": "",
          "debugLabel": "",
          "toolDescription": "",
          "selectedTypeIndex": 0
        }
      ],
      "outputs": []
    },
    {
      "nodeId": "y9LWYUwf3FT0",
      "name": "AI 对话#4",
      "intro": "AI 大模型对话",
      "avatar": "core/workflow/template/aiChat",
      "flowNodeType": "chatNode",
      "showStatus": true,
      "position": {
        "x": 6074.851968649288,
        "y": 291.4832972085448
      },
      "version": "490",
      "inputs": [
        {
          "key": "model",
          "renderTypeList": [
            "settingLLMModel",
            "reference"
          ],
          "label": "AI 模型",
          "valueType": "string",
          "value": "Qwen2.5-14B-Instruct-GPTQ-Int4",
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "key": "temperature",
          "renderTypeList": [
            "hidden"
          ],
          "label": "",
          "valueType": "number",
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "key": "maxToken",
          "renderTypeList": [
            "hidden"
          ],
          "label": "",
          "valueType": "number",
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "key": "isResponseAnswerText",
          "renderTypeList": [
            "hidden"
          ],
          "label": "",
          "value": true,
          "valueType": "boolean",
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "key": "aiChatQuoteRole",
          "renderTypeList": [
            "hidden"
          ],
          "label": "",
          "valueType": "string",
          "value": "system",
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "key": "quoteTemplate",
          "renderTypeList": [
            "hidden"
          ],
          "label": "",
          "valueType": "string",
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "key": "quotePrompt",
          "renderTypeList": [
            "hidden"
          ],
          "label": "",
          "valueType": "string",
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "key": "aiChatVision",
          "renderTypeList": [
            "hidden"
          ],
          "label": "",
          "valueType": "boolean",
          "value": true,
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "key": "aiChatReasoning",
          "renderTypeList": [
            "hidden"
          ],
          "label": "",
          "valueType": "boolean",
          "value": true,
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "key": "aiChatTopP",
          "renderTypeList": [
            "hidden"
          ],
          "label": "",
          "valueType": "number",
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "key": "aiChatStopSign",
          "renderTypeList": [
            "hidden"
          ],
          "label": "",
          "valueType": "string",
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "key": "aiChatResponseFormat",
          "renderTypeList": [
            "hidden"
          ],
          "label": "",
          "valueType": "string",
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "key": "aiChatJsonSchema",
          "renderTypeList": [
            "hidden"
          ],
          "label": "",
          "valueType": "string",
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "key": "systemPrompt",
          "renderTypeList": [
            "textarea",
            "reference"
          ],
          "max": 3000,
          "valueType": "string",
          "label": "提示词",
          "description": "core.app.tip.systemPromptTip",
          "placeholder": "core.app.tip.chatNodeSystemPromptTip",
          "valueDesc": "",
          "debugLabel": "",
          "toolDescription": "",
          "value": "# 角色\n你是一个在电话收集交通事故信息的交警机器人\n\n# 语言风格\n简洁、适合语音实时交互，没有特殊符号，一次询问一个问题。\n\n# 任务\n当前时间是{{$hoLZBXefBnt7.time$}}。你需要通过电话询问依次向用户确认三个问题：\n\n驾驶员的车牌号是否是；\n驾驶员的身份证号码是否是{{$oaBjkvGmL0Cn.gR0mkQpJ4Og8$}};\n驾驶员的手机号码是否是{{$oaBjkvGmL0Cn.x7bibmiuQ99Y$}}\n\n对于不正确的信息进行更正，并再次向用户核对。"
        },
        {
          "key": "history",
          "renderTypeList": [
            "numberInput",
            "reference"
          ],
          "valueType": "chatHistory",
          "label": "聊天记录",
          "description": "workflow:max_dialog_rounds",
          "required": true,
          "min": 0,
          "max": 50,
          "value": 8,
          "valueDesc": "",
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "key": "quoteQA",
          "renderTypeList": [
            "settingDatasetQuotePrompt"
          ],
          "label": "",
          "debugLabel": "Dataset Reference",
          "description": "",
          "valueType": "datasetQuote",
          "valueDesc": "",
          "toolDescription": ""
        },
        {
          "key": "fileUrlList",
          "renderTypeList": [
            "reference",
            "input"
          ],
          "label": "文件链接",
          "debugLabel": "Files",
          "valueType": "arrayString",
          "value": [
            [
              "448745",
              "userFiles"
            ]
          ],
          "valueDesc": "",
          "description": "",
          "toolDescription": ""
        },
        {
          "key": "userChatInput",
          "renderTypeList": [
            "reference",
            "textarea"
          ],
          "valueType": "string",
          "label": "用户问题",
          "toolDescription": "User Question",
          "required": true,
          "value": [
            "pluginInput",
            "user_question"
          ],
          "valueDesc": "",
          "description": "",
          "debugLabel": ""
        }
      ],
      "outputs": [
        {
          "id": "history",
          "key": "history",
          "required": true,
          "label": "common:core.module.output.label.New context",
          "description": "Splice the current reply content with the history records and return it as the new context",
          "valueType": "chatHistory",
          "valueDesc": "{\n  obj: System | Human | AI;\n  value: string;\n}[]",
          "type": "static"
        },
        {
          "id": "answerText",
          "key": "answerText",
          "required": true,
          "label": "common:core.module.output.label.Ai response content",
          "description": "Will be triggered after the stream reply is completed",
          "valueType": "string",
          "type": "static"
        },
        {
          "id": "reasoningText",
          "key": "reasoningText",
          "required": false,
          "label": "workflow:reasoning_text",
          "valueType": "string",
          "type": "static",
          "invalid": true,
          "description": ""
        }
      ]
    },
    {
      "nodeId": "mU4ZpcL8aw8n",
      "name": "单车驾驶人信息提取",
      "intro": "可从文本中提取指定的数据，例如：sql语句、搜索关键词、代码等",
      "avatar": "core/workflow/template/extractJson",
      "flowNodeType": "contentExtract",
      "showStatus": true,
      "position": {
        "x": -207.68689804830433,
        "y": -340.35807390454573
      },
      "version": "481",
      "inputs": [
        {
          "key": "model",
          "renderTypeList": [
            "selectLLMModel",
            "reference"
          ],
          "label": "AI 模型",
          "required": true,
          "valueType": "string",
          "llmModelType": "extractFields",
          "value": "Qwen2.5-14B-Instruct-GPTQ-Int4",
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "key": "description",
          "renderTypeList": [
            "textarea",
            "reference"
          ],
          "valueType": "string",
          "label": "提取要求描述",
          "description": "workflow:extraction_requirements_description_detail",
          "placeholder": "workflow:extraction_requirements_placeholder",
          "value": "你是一个交通事故信息采集专员，正在根据交警和用户的历史对话信息采集交通事故相关信息。",
          "valueDesc": "",
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "key": "history",
          "renderTypeList": [
            "numberInput",
            "reference"
          ],
          "valueType": "chatHistory",
          "label": "聊天记录",
          "description": "workflow:max_dialog_rounds",
          "required": true,
          "min": 0,
          "max": 50,
          "value": 8,
          "valueDesc": "",
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "key": "content",
          "renderTypeList": [
            "reference",
            "textarea"
          ],
          "label": "需要提取的文本",
          "required": true,
          "valueType": "string",
          "toolDescription": "Content to Retrieve",
          "value": [
            "pluginInput",
            "user_question"
          ],
          "valueDesc": "",
          "description": "",
          "debugLabel": ""
        },
        {
          "key": "extractKeys",
          "renderTypeList": [
            "custom"
          ],
          "label": "",
          "valueType": "any",
          "description": "workflow:target_fields_description",
          "valueDesc": "",
          "debugLabel": "",
          "toolDescription": "",
          "value": [
            {
              "valueType": "string",
              "required": false,
              "defaultValue": "",
              "desc": "驾驶人的号牌号码",
              "key": "driver1License",
              "enum": ""
            },
            {
              "valueType": "string",
              "required": false,
              "defaultValue": "",
              "desc": "驾驶员的身份证明号码",
              "key": "driver1ID",
              "enum": ""
            },
            {
              "valueType": "string",
              "required": false,
              "defaultValue": "",
              "desc": "驾驶人的手机号码",
              "key": "driver1Phonenumber",
              "enum": ""
            },
            {
              "valueType": "boolean",
              "required": true,
              "defaultValue": "false",
              "desc": "有无非机动车",
              "key": "ywrysw",
              "enum": ""
            },
            {
              "valueType": "boolean",
              "required": true,
              "defaultValue": "false",
              "desc": "有无非机动车被撞到",
              "key": "ywfjdc",
              "enum": ""
            },
            {
              "valueType": "boolean",
              "required": true,
              "defaultValue": "false",
              "desc": "有无摩托车被撞到",
              "key": "ywmtc",
              "enum": ""
            },
            {
              "valueType": "boolean",
              "required": true,
              "defaultValue": "false",
              "desc": "用户是否希望转接人工",
              "key": "transfer_to_human",
              "enum": ""
            }
          ]
        }
      ],
      "outputs": [
        {
          "id": "success",
          "key": "success",
          "label": "workflow:full_field_extraction",
          "required": true,
          "description": "Returns true when all fields are fully extracted (success includes model extraction or using default values)",
          "valueType": "boolean",
          "type": "static"
        },
        {
          "id": "fields",
          "key": "fields",
          "label": "workflow:complete_extraction_result",
          "required": true,
          "description": "A JSON string, e.g., {\"name\":\"YY\",\"Time\":\"2023/7/2 18:00\"}",
          "valueType": "string",
          "type": "static"
        },
        {
          "id": "yHlQZC1Q8Wl5",
          "key": "driver1License",
          "label": "提取结果-driver1License",
          "valueType": "string",
          "type": "static"
        },
        {
          "id": "ky69lRsOoHgo",
          "key": "driver1ID",
          "label": "提取结果-driver1ID",
          "valueType": "string",
          "type": "static"
        },
        {
          "id": "nAwSoyw6abro",
          "key": "driver1Phonenumber",
          "label": "提取结果-driver1Phonenumber",
          "valueType": "string",
          "type": "static"
        },
        {
          "id": "tGXRLUbF03HL",
          "key": "ywrysw",
          "label": "提取结果-ywrysw",
          "valueType": "boolean",
          "type": "static"
        },
        {
          "id": "xqLIsloOkhV1",
          "key": "ywfjdc",
          "label": "提取结果-ywfjdc",
          "valueType": "boolean",
          "type": "static"
        },
        {
          "id": "mJfaHgfRjaIj",
          "key": "ywmtc",
          "label": "提取结果-ywmtc",
          "valueType": "boolean",
          "type": "static"
        },
        {
          "id": "hOCkxYcC8Sja",
          "key": "transfer_to_human",
          "label": "提取结果-transfer_to_human",
          "valueType": "boolean",
          "type": "static"
        }
      ]
    },
    {
      "nodeId": "t61UjcWzNWKW",
      "name": "驾驶人信息核对完毕判断器",
      "intro": "根据一定的条件，执行不同的分支。",
      "avatar": "core/workflow/template/ifelse",
      "flowNodeType": "ifElseNode",
      "showStatus": true,
      "position": {
        "x": 4051.01804727695,
        "y": 553.5065799719679
      },
      "version": "481",
      "inputs": [
        {
          "key": "ifElseList",
          "renderTypeList": [
            "hidden"
          ],
          "valueType": "any",
          "label": "",
          "value": [
            {
              "condition": "AND",
              "list": [
                {
                  "variable": [
                    "mU4ZpcL8aw8n",
                    "success"
                  ],
                  "condition": "equalTo",
                  "value": "false"
                }
              ]
            }
          ],
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": [
        {
          "id": "ifElseResult",
          "key": "ifElseResult",
          "label": "workflow:judgment_result",
          "valueType": "string",
          "type": "static",
          "description": ""
        }
      ]
    },
    {
      "nodeId": "n0mVrgLNrOt7",
      "name": "变量更新#13",
      "intro": "可以更新指定节点的输出值或更新全局变量",
      "avatar": "core/workflow/template/variableUpdate",
      "flowNodeType": "variableUpdate",
      "showStatus": false,
      "position": {
        "x": 5381.578784366374,
        "y": 1605.5034029866376
      },
      "version": "481",
      "inputs": [
        {
          "key": "updateList",
          "valueType": "any",
          "label": "",
          "renderTypeList": [
            "hidden"
          ],
          "value": [
            {
              "variable": [
                "pluginInput",
                "state"
              ],
              "value": [
                "qQsWnUe2Ac9A",
                "jNHeOlIHcFLx"
              ],
              "valueType": "object",
              "renderType": "reference"
            },
            {
              "variable": [
                "pluginInput",
                "status_code"
              ],
              "value": [
                "",
                "0000"
              ],
              "renderType": "input",
              "valueType": "string"
            }
          ],
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": []
    },
    {
      "nodeId": "eZ4FR1V7mfs1",
      "name": "判断器#5",
      "intro": "根据一定的条件，执行不同的分支。",
      "avatar": "core/workflow/template/ifelse",
      "flowNodeType": "ifElseNode",
      "showStatus": true,
      "position": {
        "x": 1201.7095666231287,
        "y": -1.4387541399708539
      },
      "version": "481",
      "inputs": [
        {
          "key": "ifElseList",
          "renderTypeList": [
            "hidden"
          ],
          "valueType": "any",
          "label": "",
          "value": [
            {
              "condition": "OR",
              "list": [
                {
                  "variable": [
                    "mU4ZpcL8aw8n",
                    "tGXRLUbF03HL"
                  ],
                  "condition": "equalTo",
                  "value": "true"
                },
                {
                  "variable": [
                    "mU4ZpcL8aw8n",
                    "xqLIsloOkhV1"
                  ],
                  "condition": "equalTo",
                  "value": "true"
                },
                {
                  "variable": [
                    "mU4ZpcL8aw8n",
                    "mJfaHgfRjaIj"
                  ],
                  "condition": "equalTo",
                  "value": "true"
                }
              ]
            },
            {
              "condition": "AND",
              "list": [
                {
                  "variable": [
                    "mU4ZpcL8aw8n",
                    "hOCkxYcC8Sja"
                  ],
                  "condition": "equalTo",
                  "value": "true"
                }
              ]
            }
          ],
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": [
        {
          "id": "ifElseResult",
          "key": "ifElseResult",
          "label": "workflow:judgment_result",
          "valueType": "string",
          "type": "static",
          "description": ""
        }
      ]
    },
    {
      "nodeId": "cvInl80Uutax",
      "name": "代码运行#3",
      "intro": "执行一段简单的脚本代码，通常用于进行复杂的数据处理。",
      "avatar": "core/workflow/template/codeRun",
      "flowNodeType": "code",
      "showStatus": true,
      "position": {
        "x": 2614.614229497251,
        "y": 208.46006529654892
      },
      "version": "482",
      "inputs": [
        {
          "key": "system_addInputParam",
          "renderTypeList": [
            "addInputParam"
          ],
          "valueType": "dynamic",
          "label": "",
          "required": false,
          "description": "workflow:these_variables_will_be_input_parameters_for_code_execution",
          "customInputConfig": {
            "selectValueTypeList": [
              "string",
              "number",
              "boolean",
              "object",
              "arrayString",
              "arrayNumber",
              "arrayBoolean",
              "arrayObject",
              "arrayAny",
              "any",
              "chatHistory",
              "datasetQuote",
              "dynamic",
              "selectDataset",
              "selectApp"
            ],
            "showDescription": false,
            "showDefaultValue": true
          },
          "valueDesc": "",
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "key": "codeType",
          "renderTypeList": [
            "hidden"
          ],
          "label": "",
          "value": "js",
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "key": "code",
          "renderTypeList": [
            "custom"
          ],
          "label": "",
          "value": "function main({state, driver1License, driver1ID, driver1Phoneumber}){\n    if (driver1License !== null && driver1License !== undefined) {\n        state.driver1License = driver1License;\n    }\n    if (driver1ID !== null && driver1ID !== undefined) {\n        state.driver1ID = driver1ID;\n    }\n    if (driver1Phoneumber !== null && driver1Phoneumber !== undefined) {\n        state.driver1Phoneumber = driver1Phoneumber;\n    }\n    return state;\n}",
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "renderTypeList": [
            "reference"
          ],
          "valueType": "string",
          "canEdit": true,
          "key": "driver1License",
          "label": "driver1License",
          "customInputConfig": {
            "selectValueTypeList": [
              "string",
              "number",
              "boolean",
              "object",
              "arrayString",
              "arrayNumber",
              "arrayBoolean",
              "arrayObject",
              "arrayAny",
              "any",
              "chatHistory",
              "datasetQuote",
              "dynamic",
              "selectDataset",
              "selectApp"
            ],
            "showDescription": false,
            "showDefaultValue": true
          },
          "required": true,
          "value": [
            "mU4ZpcL8aw8n",
            "yHlQZC1Q8Wl5"
          ],
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "renderTypeList": [
            "reference"
          ],
          "valueType": "object",
          "canEdit": true,
          "key": "state",
          "label": "state",
          "customInputConfig": {
            "selectValueTypeList": [
              "string",
              "number",
              "boolean",
              "object",
              "arrayString",
              "arrayNumber",
              "arrayBoolean",
              "arrayObject",
              "arrayAny",
              "any",
              "chatHistory",
              "datasetQuote",
              "dynamic",
              "selectDataset",
              "selectApp"
            ],
            "showDescription": false,
            "showDefaultValue": true
          },
          "required": true,
          "value": [
            "pluginInput",
            "state"
          ],
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "renderTypeList": [
            "reference"
          ],
          "valueType": "string",
          "canEdit": true,
          "key": "driver1ID",
          "label": "driver1ID",
          "customInputConfig": {
            "selectValueTypeList": [
              "string",
              "number",
              "boolean",
              "object",
              "arrayString",
              "arrayNumber",
              "arrayBoolean",
              "arrayObject",
              "arrayAny",
              "any",
              "chatHistory",
              "datasetQuote",
              "dynamic",
              "selectDataset",
              "selectApp"
            ],
            "showDescription": false,
            "showDefaultValue": true
          },
          "required": true,
          "value": [
            "mU4ZpcL8aw8n",
            "ky69lRsOoHgo"
          ]
        },
        {
          "renderTypeList": [
            "reference"
          ],
          "valueType": "string",
          "canEdit": true,
          "key": "driver1Phonenumber",
          "label": "driver1Phonenumber",
          "customInputConfig": {
            "selectValueTypeList": [
              "string",
              "number",
              "boolean",
              "object",
              "arrayString",
              "arrayNumber",
              "arrayBoolean",
              "arrayObject",
              "arrayAny",
              "any",
              "chatHistory",
              "datasetQuote",
              "dynamic",
              "selectDataset",
              "selectApp"
            ],
            "showDescription": false,
            "showDefaultValue": true
          },
          "required": true,
          "value": [
            "mU4ZpcL8aw8n",
            "nAwSoyw6abro"
          ]
        }
      ],
      "outputs": [
        {
          "id": "system_rawResponse",
          "key": "system_rawResponse",
          "label": "workflow:full_response_data",
          "valueType": "object",
          "type": "static",
          "description": ""
        },
        {
          "id": "error",
          "key": "error",
          "label": "workflow:execution_error",
          "description": "Error information of code execution, returns empty on success",
          "valueType": "object",
          "type": "static"
        },
        {
          "id": "system_addOutputParam",
          "key": "system_addOutputParam",
          "type": "dynamic",
          "valueType": "dynamic",
          "label": "",
          "customFieldConfig": {
            "selectValueTypeList": [
              "string",
              "number",
              "boolean",
              "object",
              "arrayString",
              "arrayNumber",
              "arrayBoolean",
              "arrayObject",
              "arrayAny",
              "any",
              "chatHistory",
              "datasetQuote",
              "dynamic",
              "selectDataset",
              "selectApp"
            ],
            "showDescription": false,
            "showDefaultValue": false
          },
          "description": "将代码中 return 的对象作为输出，传递给后续的节点。变量名需要对应 return 的 key",
          "valueDesc": ""
        },
        {
          "id": "qLUQfhG0ILRX",
          "type": "dynamic",
          "key": "state",
          "valueType": "object",
          "label": "state",
          "valueDesc": "",
          "description": ""
        }
      ]
    },
    {
      "nodeId": "qQsWnUe2Ac9A",
      "name": "代码运行#4",
      "intro": "执行一段简单的脚本代码，通常用于进行复杂的数据处理。",
      "avatar": "core/workflow/template/codeRun",
      "flowNodeType": "code",
      "showStatus": true,
      "position": {
        "x": 4851.319807908609,
        "y": 1325.460065296549
      },
      "version": "482",
      "inputs": [
        {
          "key": "system_addInputParam",
          "renderTypeList": [
            "addInputParam"
          ],
          "valueType": "dynamic",
          "label": "",
          "required": false,
          "description": "workflow:these_variables_will_be_input_parameters_for_code_execution",
          "customInputConfig": {
            "selectValueTypeList": [
              "string",
              "number",
              "boolean",
              "object",
              "arrayString",
              "arrayNumber",
              "arrayBoolean",
              "arrayObject",
              "arrayAny",
              "any",
              "chatHistory",
              "datasetQuote",
              "dynamic",
              "selectDataset",
              "selectApp"
            ],
            "showDescription": false,
            "showDefaultValue": true
          },
          "valueDesc": "",
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "key": "codeType",
          "renderTypeList": [
            "hidden"
          ],
          "label": "",
          "value": "js",
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "key": "code",
          "renderTypeList": [
            "custom"
          ],
          "label": "",
          "value": "function main({state}){\n    state.driver_info_check = true;\n    return state;\n}",
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "renderTypeList": [
            "reference"
          ],
          "valueType": "object",
          "canEdit": true,
          "key": "state",
          "label": "state",
          "customInputConfig": {
            "selectValueTypeList": [
              "string",
              "number",
              "boolean",
              "object",
              "arrayString",
              "arrayNumber",
              "arrayBoolean",
              "arrayObject",
              "arrayAny",
              "any",
              "chatHistory",
              "datasetQuote",
              "dynamic",
              "selectDataset",
              "selectApp"
            ],
            "showDescription": false,
            "showDefaultValue": true
          },
          "required": true,
          "value": [
            "pluginInput",
            "state"
          ],
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": [
        {
          "id": "system_rawResponse",
          "key": "system_rawResponse",
          "label": "workflow:full_response_data",
          "valueType": "object",
          "type": "static",
          "description": ""
        },
        {
          "id": "error",
          "key": "error",
          "label": "workflow:execution_error",
          "description": "Error information of code execution, returns empty on success",
          "valueType": "object",
          "type": "static"
        },
        {
          "id": "system_addOutputParam",
          "key": "system_addOutputParam",
          "type": "dynamic",
          "valueType": "dynamic",
          "label": "",
          "customFieldConfig": {
            "selectValueTypeList": [
              "string",
              "number",
              "boolean",
              "object",
              "arrayString",
              "arrayNumber",
              "arrayBoolean",
              "arrayObject",
              "arrayAny",
              "any",
              "chatHistory",
              "datasetQuote",
              "dynamic",
              "selectDataset",
              "selectApp"
            ],
            "showDescription": false,
            "showDefaultValue": false
          },
          "description": "将代码中 return 的对象作为输出，传递给后续的节点。变量名需要对应 return 的 key",
          "valueDesc": ""
        },
        {
          "id": "jNHeOlIHcFLx",
          "valueType": "object",
          "type": "dynamic",
          "key": "state",
          "label": "state"
        }
      ]
    },
    {
      "nodeId": "zanMgjypjEHE",
      "name": "变量更新#6",
      "intro": "可以更新指定节点的输出值或更新全局变量",
      "avatar": "core/workflow/template/variableUpdate",
      "flowNodeType": "variableUpdate",
      "showStatus": false,
      "position": {
        "x": 3497.651993232849,
        "y": -590.2850128054174
      },
      "version": "481",
      "inputs": [
        {
          "key": "updateList",
          "valueType": "any",
          "label": "",
          "renderTypeList": [
            "hidden"
          ],
          "value": [
            {
              "variable": [
                "pluginInput",
                "status_code"
              ],
              "value": [
                "",
                "0001"
              ],
              "valueType": "string",
              "renderType": "input"
            }
          ],
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": []
    },
    {
      "nodeId": "z2pX8KFsBGSX",
      "name": "代码运行#6",
      "intro": "执行一段简单的脚本代码，通常用于进行复杂的数据处理。",
      "avatar": "core/workflow/template/codeRun",
      "flowNodeType": "code",
      "showStatus": true,
      "position": {
        "x": 558.0217712859005,
        "y": -209.85807390454573
      },
      "version": "482",
      "inputs": [
        {
          "key": "system_addInputParam",
          "renderTypeList": [
            "addInputParam"
          ],
          "valueType": "dynamic",
          "label": "",
          "required": false,
          "description": "workflow:these_variables_will_be_input_parameters_for_code_execution",
          "customInputConfig": {
            "selectValueTypeList": [
              "string",
              "number",
              "boolean",
              "object",
              "arrayString",
              "arrayNumber",
              "arrayBoolean",
              "arrayObject",
              "arrayAny",
              "any",
              "chatHistory",
              "datasetQuote",
              "dynamic",
              "selectDataset",
              "selectApp"
            ],
            "showDescription": false,
            "showDefaultValue": true
          },
          "valueDesc": "",
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "key": "codeType",
          "renderTypeList": [
            "hidden"
          ],
          "label": "",
          "value": "js",
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "key": "code",
          "renderTypeList": [
            "custom"
          ],
          "label": "",
          "value": "function main({state, ywrysw, ywfjdc, ywmtc, transfer_to_human}){\n    state.ywrysw = ywrysw;\n    state.ywfjdc = ywfjdc;\n    state.ywmtc = ywmtc;\n    state.transfer_to_human = transfer_to_human;\n    return state;\n}",
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "renderTypeList": [
            "reference"
          ],
          "valueType": "object",
          "canEdit": true,
          "key": "state",
          "label": "state",
          "customInputConfig": {
            "selectValueTypeList": [
              "string",
              "number",
              "boolean",
              "object",
              "arrayString",
              "arrayNumber",
              "arrayBoolean",
              "arrayObject",
              "arrayAny",
              "any",
              "chatHistory",
              "datasetQuote",
              "dynamic",
              "selectDataset",
              "selectApp"
            ],
            "showDescription": false,
            "showDefaultValue": true
          },
          "required": true,
          "value": [
            "pluginInput",
            "state"
          ],
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "renderTypeList": [
            "reference"
          ],
          "valueType": "boolean",
          "canEdit": true,
          "key": "ywrysw",
          "label": "ywrysw",
          "customInputConfig": {
            "selectValueTypeList": [
              "string",
              "number",
              "boolean",
              "object",
              "arrayString",
              "arrayNumber",
              "arrayBoolean",
              "arrayObject",
              "arrayAny",
              "any",
              "chatHistory",
              "datasetQuote",
              "dynamic",
              "selectDataset",
              "selectApp"
            ],
            "showDescription": false,
            "showDefaultValue": true
          },
          "required": true,
          "value": [
            "mU4ZpcL8aw8n",
            "tGXRLUbF03HL"
          ]
        },
        {
          "renderTypeList": [
            "reference"
          ],
          "valueType": "boolean",
          "canEdit": true,
          "key": "ywfjdc",
          "label": "ywfjdc",
          "customInputConfig": {
            "selectValueTypeList": [
              "string",
              "number",
              "boolean",
              "object",
              "arrayString",
              "arrayNumber",
              "arrayBoolean",
              "arrayObject",
              "arrayAny",
              "any",
              "chatHistory",
              "datasetQuote",
              "dynamic",
              "selectDataset",
              "selectApp"
            ],
            "showDescription": false,
            "showDefaultValue": true
          },
          "required": true,
          "value": [
            "mU4ZpcL8aw8n",
            "xqLIsloOkhV1"
          ]
        },
        {
          "renderTypeList": [
            "reference"
          ],
          "valueType": "boolean",
          "canEdit": true,
          "key": "ywmtc",
          "label": "ywmtc",
          "customInputConfig": {
            "selectValueTypeList": [
              "string",
              "number",
              "boolean",
              "object",
              "arrayString",
              "arrayNumber",
              "arrayBoolean",
              "arrayObject",
              "arrayAny",
              "any",
              "chatHistory",
              "datasetQuote",
              "dynamic",
              "selectDataset",
              "selectApp"
            ],
            "showDescription": false,
            "showDefaultValue": true
          },
          "required": true,
          "value": [
            "mU4ZpcL8aw8n",
            "mJfaHgfRjaIj"
          ]
        },
        {
          "renderTypeList": [
            "reference"
          ],
          "valueType": "boolean",
          "canEdit": true,
          "key": "transfer_to_human",
          "label": "transfer_to_human",
          "customInputConfig": {
            "selectValueTypeList": [
              "string",
              "number",
              "boolean",
              "object",
              "arrayString",
              "arrayNumber",
              "arrayBoolean",
              "arrayObject",
              "arrayAny",
              "any",
              "chatHistory",
              "datasetQuote",
              "dynamic",
              "selectDataset",
              "selectApp"
            ],
            "showDescription": false,
            "showDefaultValue": true
          },
          "required": true,
          "value": [
            "mU4ZpcL8aw8n",
            "hOCkxYcC8Sja"
          ]
        }
      ],
      "outputs": [
        {
          "id": "system_rawResponse",
          "key": "system_rawResponse",
          "label": "workflow:full_response_data",
          "valueType": "object",
          "type": "static",
          "description": ""
        },
        {
          "id": "error",
          "key": "error",
          "label": "workflow:execution_error",
          "description": "Error information of code execution, returns empty on success",
          "valueType": "object",
          "type": "static"
        },
        {
          "id": "system_addOutputParam",
          "key": "system_addOutputParam",
          "type": "dynamic",
          "valueType": "dynamic",
          "label": "",
          "customFieldConfig": {
            "selectValueTypeList": [
              "string",
              "number",
              "boolean",
              "object",
              "arrayString",
              "arrayNumber",
              "arrayBoolean",
              "arrayObject",
              "arrayAny",
              "any",
              "chatHistory",
              "datasetQuote",
              "dynamic",
              "selectDataset",
              "selectApp"
            ],
            "showDescription": false,
            "showDefaultValue": false
          },
          "description": "将代码中 return 的对象作为输出，传递给后续的节点。变量名需要对应 return 的 key",
          "valueDesc": ""
        },
        {
          "id": "oUKUyXLQ4Ndw",
          "valueType": "object",
          "type": "dynamic",
          "key": "state",
          "label": "state"
        }
      ]
    },
    {
      "nodeId": "bQt34UCF1XbN",
      "name": "变量更新#7",
      "intro": "可以更新指定节点的输出值或更新全局变量",
      "avatar": "core/workflow/template/variableUpdate",
      "flowNodeType": "variableUpdate",
      "showStatus": false,
      "position": {
        "x": 638.305874754564,
        "y": 1037.647846188843
      },
      "version": "481",
      "inputs": [
        {
          "key": "updateList",
          "valueType": "any",
          "label": "",
          "renderTypeList": [
            "hidden"
          ],
          "value": [
            {
              "variable": [
                "pluginInput",
                "state"
              ],
              "value": [
                "z2pX8KFsBGSX",
                "oUKUyXLQ4Ndw"
              ],
              "valueType": "object",
              "renderType": "reference"
            }
          ],
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": []
    },
    {
      "nodeId": "kPfeEZybshPH",
      "name": "判断器#6",
      "intro": "根据一定的条件，执行不同的分支。",
      "avatar": "core/workflow/template/ifelse",
      "flowNodeType": "ifElseNode",
      "showStatus": true,
      "position": {
        "x": -1552.5307978021754,
        "y": 148.32594802882716
      },
      "version": "481",
      "inputs": [
        {
          "key": "ifElseList",
          "renderTypeList": [
            "hidden"
          ],
          "valueType": "any",
          "label": "",
          "value": [
            {
              "condition": "AND",
              "list": [
                {
                  "variable": [
                    "pluginInput",
                    "user_question"
                  ],
                  "value": "【用户未回复】",
                  "condition": "equalTo"
                }
              ]
            }
          ],
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": [
        {
          "id": "ifElseResult",
          "key": "ifElseResult",
          "label": "workflow:judgment_result",
          "valueType": "string",
          "type": "static",
          "description": ""
        }
      ]
    },
    {
      "nodeId": "hUye6cIdYMeQ",
      "name": "代码运行#7",
      "intro": "执行一段简单的脚本代码，通常用于进行复杂的数据处理。",
      "avatar": "core/workflow/template/codeRun",
      "flowNodeType": "code",
      "showStatus": true,
      "position": {
        "x": -736.0135894759022,
        "y": -220.23588254762868
      },
      "version": "482",
      "inputs": [
        {
          "key": "system_addInputParam",
          "renderTypeList": [
            "addInputParam"
          ],
          "valueType": "dynamic",
          "label": "",
          "required": false,
          "description": "workflow:these_variables_will_be_input_parameters_for_code_execution",
          "customInputConfig": {
            "selectValueTypeList": [
              "string",
              "number",
              "boolean",
              "object",
              "arrayString",
              "arrayNumber",
              "arrayBoolean",
              "arrayObject",
              "arrayAny",
              "any",
              "chatHistory",
              "datasetQuote",
              "dynamic",
              "selectDataset",
              "selectApp"
            ],
            "showDescription": false,
            "showDefaultValue": true
          },
          "valueDesc": "",
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "key": "codeType",
          "renderTypeList": [
            "hidden"
          ],
          "label": "",
          "value": "js",
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "key": "code",
          "renderTypeList": [
            "custom"
          ],
          "label": "",
          "value": "function main({state}){\n    state.user_no_response = 0;\n    return {\n        state: state\n    };\n}",
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "renderTypeList": [
            "reference"
          ],
          "valueType": "object",
          "canEdit": true,
          "key": "state",
          "label": "state",
          "customInputConfig": {
            "selectValueTypeList": [
              "string",
              "number",
              "boolean",
              "object",
              "arrayString",
              "arrayNumber",
              "arrayBoolean",
              "arrayObject",
              "arrayAny",
              "any",
              "chatHistory",
              "datasetQuote",
              "dynamic",
              "selectDataset",
              "selectApp"
            ],
            "showDescription": false,
            "showDefaultValue": true
          },
          "required": true,
          "value": [
            "pluginInput",
            "state"
          ],
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": [
        {
          "id": "system_rawResponse",
          "key": "system_rawResponse",
          "label": "workflow:full_response_data",
          "valueType": "object",
          "type": "static",
          "description": ""
        },
        {
          "id": "error",
          "key": "error",
          "label": "workflow:execution_error",
          "description": "Error information of code execution, returns empty on success",
          "valueType": "object",
          "type": "static"
        },
        {
          "id": "system_addOutputParam",
          "key": "system_addOutputParam",
          "type": "dynamic",
          "valueType": "dynamic",
          "label": "",
          "customFieldConfig": {
            "selectValueTypeList": [
              "string",
              "number",
              "boolean",
              "object",
              "arrayString",
              "arrayNumber",
              "arrayBoolean",
              "arrayObject",
              "arrayAny",
              "any",
              "chatHistory",
              "datasetQuote",
              "dynamic",
              "selectDataset",
              "selectApp"
            ],
            "showDescription": false,
            "showDefaultValue": false
          },
          "description": "将代码中 return 的对象作为输出，传递给后续的节点。变量名需要对应 return 的 key",
          "valueDesc": ""
        },
        {
          "id": "qLUQfhG0ILRX",
          "type": "dynamic",
          "key": "state",
          "valueType": "object",
          "label": "state",
          "valueDesc": "",
          "description": ""
        }
      ]
    },
    {
      "nodeId": "mP37q4IaTDya",
      "name": "代码运行#8",
      "intro": "执行一段简单的脚本代码，通常用于进行复杂的数据处理。",
      "avatar": "core/workflow/template/codeRun",
      "flowNodeType": "code",
      "showStatus": true,
      "position": {
        "x": -760.7280399819567,
        "y": -1305.7494754021855
      },
      "version": "482",
      "inputs": [
        {
          "key": "system_addInputParam",
          "renderTypeList": [
            "addInputParam"
          ],
          "valueType": "dynamic",
          "label": "",
          "required": false,
          "description": "workflow:these_variables_will_be_input_parameters_for_code_execution",
          "customInputConfig": {
            "selectValueTypeList": [
              "string",
              "number",
              "boolean",
              "object",
              "arrayString",
              "arrayNumber",
              "arrayBoolean",
              "arrayObject",
              "arrayAny",
              "any",
              "chatHistory",
              "datasetQuote",
              "dynamic",
              "selectDataset",
              "selectApp"
            ],
            "showDescription": false,
            "showDefaultValue": true
          },
          "valueDesc": "",
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "key": "codeType",
          "renderTypeList": [
            "hidden"
          ],
          "label": "",
          "value": "js",
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "key": "code",
          "renderTypeList": [
            "custom"
          ],
          "label": "",
          "value": "function main({state}){\n    state.user_no_response += 1;\n    return {\n        state: state,\n        user_no_response: state.user_no_response\n    };\n}",
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        },
        {
          "renderTypeList": [
            "reference"
          ],
          "valueType": "object",
          "canEdit": true,
          "key": "state",
          "label": "state",
          "customInputConfig": {
            "selectValueTypeList": [
              "string",
              "number",
              "boolean",
              "object",
              "arrayString",
              "arrayNumber",
              "arrayBoolean",
              "arrayObject",
              "arrayAny",
              "any",
              "chatHistory",
              "datasetQuote",
              "dynamic",
              "selectDataset",
              "selectApp"
            ],
            "showDescription": false,
            "showDefaultValue": true
          },
          "required": true,
          "value": [
            "pluginInput",
            "state"
          ],
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": [
        {
          "id": "system_rawResponse",
          "key": "system_rawResponse",
          "label": "workflow:full_response_data",
          "valueType": "object",
          "type": "static",
          "description": ""
        },
        {
          "id": "error",
          "key": "error",
          "label": "workflow:execution_error",
          "description": "Error information of code execution, returns empty on success",
          "valueType": "object",
          "type": "static"
        },
        {
          "id": "system_addOutputParam",
          "key": "system_addOutputParam",
          "type": "dynamic",
          "valueType": "dynamic",
          "label": "",
          "customFieldConfig": {
            "selectValueTypeList": [
              "string",
              "number",
              "boolean",
              "object",
              "arrayString",
              "arrayNumber",
              "arrayBoolean",
              "arrayObject",
              "arrayAny",
              "any",
              "chatHistory",
              "datasetQuote",
              "dynamic",
              "selectDataset",
              "selectApp"
            ],
            "showDescription": false,
            "showDefaultValue": false
          },
          "description": "将代码中 return 的对象作为输出，传递给后续的节点。变量名需要对应 return 的 key",
          "valueDesc": ""
        },
        {
          "id": "yRotQkFF2dlU",
          "valueType": "object",
          "type": "dynamic",
          "key": "state",
          "label": "state"
        },
        {
          "id": "ecNYn1j4nKqD",
          "valueType": "number",
          "type": "dynamic",
          "key": "user_no_response",
          "label": "user_no_response"
        }
      ]
    },
    {
      "nodeId": "imlSKwYy0OdW",
      "name": "变量更新#8",
      "intro": "可以更新指定节点的输出值或更新全局变量",
      "avatar": "core/workflow/template/variableUpdate",
      "flowNodeType": "variableUpdate",
      "showStatus": false,
      "position": {
        "x": -325.5231065923951,
        "y": -1024.2494754021855
      },
      "version": "481",
      "inputs": [
        {
          "key": "updateList",
          "valueType": "any",
          "label": "",
          "renderTypeList": [
            "hidden"
          ],
          "value": [
            {
              "variable": [
                "pluginInput",
                "state"
              ],
              "value": [
                "mP37q4IaTDya",
                "yRotQkFF2dlU"
              ],
              "valueType": "object",
              "renderType": "reference"
            }
          ],
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": []
    },
    {
      "nodeId": "o80KlWmcZM5c",
      "name": "变量更新#9",
      "intro": "可以更新指定节点的输出值或更新全局变量",
      "avatar": "core/workflow/template/variableUpdate",
      "flowNodeType": "variableUpdate",
      "showStatus": false,
      "position": {
        "x": -684.0135894759022,
        "y": 653.9624413794872
      },
      "version": "481",
      "inputs": [
        {
          "key": "updateList",
          "valueType": "any",
          "label": "",
          "renderTypeList": [
            "hidden"
          ],
          "value": [
            {
              "variable": [
                "pluginInput",
                "state"
              ],
              "value": [
                "hUye6cIdYMeQ",
                "qLUQfhG0ILRX"
              ],
              "valueType": "object",
              "renderType": "reference"
            }
          ],
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": []
    },
    {
      "nodeId": "sLQ7NrwDWS0F",
      "name": "指定回复#4",
      "intro": "该模块可以直接回复一段指定的内容。常用于引导、提示。非字符串内容传入时，会转成字符串进行输出。",
      "avatar": "core/workflow/template/reply",
      "flowNodeType": "answerNode",
      "position": {
        "x": 1584.8564415157357,
        "y": -952.2850128054174
      },
      "version": "481",
      "inputs": [
        {
          "key": "text",
          "renderTypeList": [
            "textarea",
            "reference"
          ],
          "valueType": "any",
          "required": true,
          "label": "回复的内容",
          "description": "common:core.module.input.description.Response content",
          "placeholder": "common:core.module.input.description.Response content",
          "value": "因您长时间未回复，本次服务将结束，如需报案请您再次呼入",
          "valueDesc": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": []
    },
    {
      "nodeId": "tHn1wlOxYmO5",
      "name": "判断器#7",
      "intro": "根据一定的条件，执行不同的分支。",
      "avatar": "core/workflow/template/ifelse",
      "flowNodeType": "ifElseNode",
      "showStatus": true,
      "position": {
        "x": 91.36184997374392,
        "y": -1022.2850128054174
      },
      "version": "481",
      "inputs": [
        {
          "key": "ifElseList",
          "renderTypeList": [
            "hidden"
          ],
          "valueType": "any",
          "label": "",
          "value": [
            {
              "condition": "AND",
              "list": [
                {
                  "variable": [
                    "mP37q4IaTDya",
                    "ecNYn1j4nKqD"
                  ],
                  "condition": "equalTo",
                  "value": "2"
                }
              ]
            }
          ],
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": [
        {
          "id": "ifElseResult",
          "key": "ifElseResult",
          "label": "workflow:judgment_result",
          "valueType": "string",
          "type": "static",
          "description": ""
        }
      ]
    },
    {
      "nodeId": "eLkUFqk2pKPj",
      "name": "变量更新#9",
      "intro": "可以更新指定节点的输出值或更新全局变量",
      "avatar": "core/workflow/template/variableUpdate",
      "flowNodeType": "variableUpdate",
      "showStatus": false,
      "position": {
        "x": 1074.305874754564,
        "y": -978.2850128054174
      },
      "version": "481",
      "inputs": [
        {
          "key": "updateList",
          "valueType": "any",
          "label": "",
          "renderTypeList": [
            "hidden"
          ],
          "value": [
            {
              "variable": [
                "pluginInput",
                "status_code"
              ],
              "value": [
                "",
                "1004"
              ],
              "valueType": "string",
              "renderType": "input"
            }
          ],
          "valueDesc": "",
          "description": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": []
    },
    {
      "nodeId": "hoLZBXefBnt7",
      "name": "获取当前时间",
      "intro": "获取用户当前时区的时间。",
      "avatar": "core/workflow/template/getTime",
      "flowNodeType": "pluginModule",
      "showStatus": false,
      "position": {
        "x": 5290.688831827424,
        "y": 23.48513477901804
      },
      "version": "481",
      "inputs": [
        {
          "key": "system_forbid_stream",
          "renderTypeList": [
            "switch"
          ],
          "valueType": "boolean",
          "label": "Forbid stream mode",
          "description": "Forces the output mode of nested application streams to be disabled",
          "value": false,
          "valueDesc": "",
          "debugLabel": "",
          "toolDescription": ""
        }
      ],
      "outputs": [
        {
          "id": "time",
          "type": "static",
          "key": "time",
          "valueType": "string",
          "label": "time",
          "description": "",
          "valueDesc": ""
        }
      ],
      "pluginId": "community-getTime"
    }
  ],
  "edges": [
    {
      "source": "hoLZBXefBnt7",
      "target": "y9LWYUwf3FT0",
      "sourceHandle": "hoLZBXefBnt7-source-right",
      "targetHandle": "y9LWYUwf3FT0-target-left"
    },
    {
      "source": "pluginInput",
      "target": "kPfeEZybshPH",
      "sourceHandle": "pluginInput-source-right",
      "targetHandle": "kPfeEZybshPH-target-left"
    },
    {
      "source": "kPfeEZybshPH",
      "target": "mP37q4IaTDya",
      "sourceHandle": "kPfeEZybshPH-source-IF",
      "targetHandle": "mP37q4IaTDya-target-left"
    },
    {
      "source": "mP37q4IaTDya",
      "target": "imlSKwYy0OdW",
      "sourceHandle": "mP37q4IaTDya-source-right",
      "targetHandle": "imlSKwYy0OdW-target-left"
    },
    {
      "source": "imlSKwYy0OdW",
      "target": "tHn1wlOxYmO5",
      "sourceHandle": "imlSKwYy0OdW-source-right",
      "targetHandle": "tHn1wlOxYmO5-target-left"
    },
    {
      "source": "tHn1wlOxYmO5",
      "target": "eLkUFqk2pKPj",
      "sourceHandle": "tHn1wlOxYmO5-source-IF",
      "targetHandle": "eLkUFqk2pKPj-target-left"
    },
    {
      "source": "eLkUFqk2pKPj",
      "target": "sLQ7NrwDWS0F",
      "sourceHandle": "eLkUFqk2pKPj-source-right",
      "targetHandle": "sLQ7NrwDWS0F-target-left"
    },
    {
      "source": "sLQ7NrwDWS0F",
      "target": "pluginOutput",
      "sourceHandle": "sLQ7NrwDWS0F-source-right",
      "targetHandle": "pluginOutput-target-left"
    },
    {
      "source": "kPfeEZybshPH",
      "target": "hUye6cIdYMeQ",
      "sourceHandle": "kPfeEZybshPH-source-ELSE",
      "targetHandle": "hUye6cIdYMeQ-target-left"
    },
    {
      "source": "hUye6cIdYMeQ",
      "target": "o80KlWmcZM5c",
      "sourceHandle": "hUye6cIdYMeQ-source-right",
      "targetHandle": "o80KlWmcZM5c-target-top"
    },
    {
      "source": "o80KlWmcZM5c",
      "target": "mU4ZpcL8aw8n",
      "sourceHandle": "o80KlWmcZM5c-source-right",
      "targetHandle": "mU4ZpcL8aw8n-target-left"
    },
    {
      "source": "tHn1wlOxYmO5",
      "target": "mU4ZpcL8aw8n",
      "sourceHandle": "tHn1wlOxYmO5-source-ELSE",
      "targetHandle": "mU4ZpcL8aw8n-target-left"
    },
    {
      "source": "mU4ZpcL8aw8n",
      "target": "z2pX8KFsBGSX",
      "sourceHandle": "mU4ZpcL8aw8n-source-right",
      "targetHandle": "z2pX8KFsBGSX-target-left"
    },
    {
      "source": "z2pX8KFsBGSX",
      "target": "bQt34UCF1XbN",
      "sourceHandle": "z2pX8KFsBGSX-source-right",
      "targetHandle": "bQt34UCF1XbN-target-left"
    },
    {
      "source": "bQt34UCF1XbN",
      "target": "eZ4FR1V7mfs1",
      "sourceHandle": "bQt34UCF1XbN-source-right",
      "targetHandle": "eZ4FR1V7mfs1-target-left"
    },
    {
      "source": "eZ4FR1V7mfs1",
      "target": "uX2IzK9fx9zo",
      "sourceHandle": "eZ4FR1V7mfs1-source-IF",
      "targetHandle": "uX2IzK9fx9zo-target-left"
    },
    {
      "source": "eZ4FR1V7mfs1",
      "target": "fvvP1xj1OJkZ",
      "sourceHandle": "eZ4FR1V7mfs1-source-ELSE IF 1",
      "targetHandle": "fvvP1xj1OJkZ-target-left"
    },
    {
      "source": "uX2IzK9fx9zo",
      "target": "zanMgjypjEHE",
      "sourceHandle": "uX2IzK9fx9zo-source-right",
      "targetHandle": "zanMgjypjEHE-target-left"
    },
    {
      "source": "fvvP1xj1OJkZ",
      "target": "zanMgjypjEHE",
      "sourceHandle": "fvvP1xj1OJkZ-source-right",
      "targetHandle": "zanMgjypjEHE-target-left"
    },
    {
      "source": "zanMgjypjEHE",
      "target": "pluginOutput",
      "sourceHandle": "zanMgjypjEHE-source-right",
      "targetHandle": "pluginOutput-target-left"
    },
    {
      "source": "cvInl80Uutax",
      "target": "cijcer2ddJRN",
      "sourceHandle": "cvInl80Uutax-source-right",
      "targetHandle": "cijcer2ddJRN-target-left"
    },
    {
      "source": "cijcer2ddJRN",
      "target": "t61UjcWzNWKW",
      "sourceHandle": "cijcer2ddJRN-source-right",
      "targetHandle": "t61UjcWzNWKW-target-left"
    },
    {
      "source": "y9LWYUwf3FT0",
      "target": "pluginOutput",
      "sourceHandle": "y9LWYUwf3FT0-source-right",
      "targetHandle": "pluginOutput-target-left"
    },
    {
      "source": "t61UjcWzNWKW",
      "target": "qQsWnUe2Ac9A",
      "sourceHandle": "t61UjcWzNWKW-source-ELSE",
      "targetHandle": "qQsWnUe2Ac9A-target-left"
    },
    {
      "source": "qQsWnUe2Ac9A",
      "target": "n0mVrgLNrOt7",
      "sourceHandle": "qQsWnUe2Ac9A-source-right",
      "targetHandle": "n0mVrgLNrOt7-target-left"
    },
    {
      "source": "n0mVrgLNrOt7",
      "target": "y6u6eDqmYZB9",
      "sourceHandle": "n0mVrgLNrOt7-source-right",
      "targetHandle": "y6u6eDqmYZB9-target-left"
    },
    {
      "source": "y6u6eDqmYZB9",
      "target": "pluginOutput",
      "sourceHandle": "y6u6eDqmYZB9-source-right",
      "targetHandle": "pluginOutput-target-left"
    },
    {
      "source": "eZ4FR1V7mfs1",
      "target": "cvInl80Uutax",
      "sourceHandle": "eZ4FR1V7mfs1-source-ELSE",
      "targetHandle": "cvInl80Uutax-target-left"
    },
    {
      "source": "t61UjcWzNWKW",
      "target": "y9LWYUwf3FT0",
      "sourceHandle": "t61UjcWzNWKW-source-IF",
      "targetHandle": "y9LWYUwf3FT0-target-left"
    }
  ],
  "chatConfig": {
    "welcomeText": "",
    "variables": [],
    "questionGuide": {
      "open": false,
      "model": "gpt-4o-mini",
      "customPrompt": ""
    },
    "ttsConfig": {
      "type": "web"
    },
    "whisperConfig": {
      "open": false,
      "autoSend": false,
      "autoTTSResponse": false
    },
    "chatInputGuide": {
      "open": false,
      "textList": [],
      "customUrl": ""
    },
    "instruction": "",
    "autoExecute": {
      "open": false,
      "defaultPrompt": ""
    },
    "_id": "6809a04fc967410d29126cf6"
  }
}